Skip to main content
`Ctrl`+`K`

# BVCreateMat

Creates a new `Mat` object of dense type and copies the contents of the `BV` object.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVCreateMat(BV bv,Mat *A)

Collective

## Input Parameter

- bv - the basis vectors context

## Output Parameter

- A - the new matrix

## Notes

The user is responsible for destroying the returned matrix.

The matrix contains all columns of the `BV`, not just the active columns.

## See Also

BV: Basis Vectors, `BVCreateFromMat()`, `BVCreateVec()`, `BVGetMat()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages